-- Schema: C6MartPeriodico
-- Stored Procedure: Popola_S80_S129_EvoluzioneCTVPatrimonio









  
  
  
-- Stored procedure  
  
-- Stored procedure  
  
  
-- =============================================  
-- Author:  <Author,,Name>  
-- Create date: <Create Date,,>  
-- Description: <Description,,>  
-- =============================================  
-- [C6MartPeriodico].[Popola_S80_S129_EvoluzioneCTVPatrimonio]'F','GSTGPL59P03B586G'  
   
  
CREATE      procedure [C6MartPeriodico].[Popola_S80_S129_EvoluzioneCTVPatrimonio]  
AS  
BEGIN  
 -- SET NOCOUNT ON added to prevent extra result sets from  
 -- interfering with SELECT statements.  
 SET NOCOUNT ON;  
  
 -- Recupero data congelamento SEI  
  
 DECLARE @DataCongelamento DATETIME  
  
 DECLARE @DettMovPrec money  
 DECLARE @DettMovCorr money  
 DECLARE @AppoDettMovPrec varchar(50)  
 DECLARE @AppoDettMovCorr varchar(50)  
 DECLARE @NumAsterischiPrec int  
 DECLARE @NumAsterischiCorr int  
 DECLARE @DATA_FOTO datetime  
 DECLARE @UltimoInvio int  
  
 SET @NumAsterischiPrec = 0  
 SET @NumAsterischiCorr = 0  
  
 SET @DataCongelamento = C6MartPeriodico.getDataCongelamento()  
  
   
   -- INSERIMENTO BLOCCO PER MONITORAGGIO CHIUSO O NON ESISTENTE  
  
  
  
 --   -- Inserimento Dati Scirocco  
 --   SELECT @DettMovPrec = DETT_MOV_PREC, @DettMovCorr = DETT_MOV_CORR  
 --FROM C6MartPeriodico.DettaglioMovimenti  
 --WHERE  
 -- RETE = @Rete  
 --AND  
 -- COD_FIS = @CodiceFiscale  
   
 --IF @DettMovPrec is null  
 -- SET @AppoDettMovPrec = 'n.d.'  
 --ELSE  
 -- SET @AppoDettMovPrec = REPLACE(CAST(@DettMovPrec as varchar(50)), '.', ',')  
  
 --IF @DettMovCorr is null  
 -- SET @AppoDettMovCorr = 'n.d.'  
 --ELSE  
 -- SET @AppoDettMovCorr = REPLACE(CAST(@DettMovCorr as varchar(50)), '.', ',')  
  
 ----query per asterischi situazione precedente  
 --IF EXISTS(SELECT * FROM [C6StagingPeriodico].[WSEICS]  
 -- WHERE CODPROD IN ('37', 'GP') AND DTTRIM = c6martperiodico.getprevioustrimestre(getdate(),0)  
 -- AND RETE = @Rete AND CODFIS = @CodiceFiscale)  
 -- SET @NumAsterischiPrec = 1  
  
 --IF EXISTS(SELECT * FROM C6StagingPeriodico.ST_MON  
 -- WHERE RETE = @Rete AND CODFIS = @CodiceFiscale)  
 -- SET @NumAsterischiPrec = 1  
 -------------------------------------------  
   
 ----query per asterischi situazione corrente  
 --IF EXISTS(SELECT * FROM C6MartPeriodico.PATRIMONIO_BF  
 -- WHERE COD_INTERNO IN ('37', 'GP')  
 -- AND RETE = @Rete AND COD_FISCALE = @CodiceFiscale)  
 -- SET @NumAsterischiCorr = 1  
 -------------------------------------------  
  
 --SELECT @DATA_FOTO = DATA_FOTO FROM C6MartPeriodico.MONITORAGGIO_INIZIALE a  
 --WHERE a.Rete = @Rete  
 --AND a.COD_FISCALE = @CodiceFiscale  
  
 --SELECT @UltimoInvio = Count(*) FROM C6MartPeriodico.MONITORAGGIO_REPORT a  
 --WHERE a.Rete = @Rete  
 --AND a.COD_FISCALE = @CodiceFiscale  
  
  
truncate table C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio  
  
 -- Attivazione monitoraggio  
 insert into C6MartPeriodico.TB_S80_S129_EvoluzioneCTVPatrimonio  
 SELECT  
  INI.RETE,  
  INI.Cod_Fiscale,  
  1 AS Fase,  
  isnull(INI.DATA_FOTO,0) AS DataFase,  
  ISNULL(INI.PARTITA_VIAGGIANTE,0) AS Partita_viaggiante,  
  isnull(INI.CTV_EXT,0) as CTV_EXT,  
  isnull(INI.CTV_INV,0) as CTV_INV,  
  isnull(INI.CTV_PRE,0) as CTV_PRE,  
  isnull(INI.CTV_RIS,0) as CTV_RIS,  
  isnull(INI.CTV_LIQ,0) as CTV_LIQ,  
  isnull(INI.CTV_EXT,0) + isnull(INI.CTV_INV,0) + isnull(INI.CTV_PRE,0) + isnull(INI.CTV_RIS,0) + isnull(INI.CTV_LIQ,0) AS RisorseAllocate,  
  isnull(INI.CTV_NA,0) AS RisorseNonAllocate,  
  isnull(INI.CTV_EXT,0) + isnull(INI.CTV_INV,0) + isnull(INI.CTV_PRE,0) + isnull(INI.CTV_RIS,0) + isnull(INI.CTV_LIQ,0) + isnull(INI.CTV_NA,0) AS RisorseFinanziarie,  
  isnull(INI.CTV_CC,0) AS Contocorrente,  
--INIZIO INTERVENTI OMNIA
  isnull(INI.CTVSELF,0) AS ctvself,
  -- 20181206 MIOFOGLIO
  --isnull(INI.CTV_EXT,0) + isnull(INI.CTV_INV,0) + isnull(INI.CTV_PRE,0) + isnull(INI.CTV_RIS,0) 
